aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/make-boot-splash
diff options
context:
space:
mode:
authorDavid Baudens <baudens@mandriva.com>2002-08-02 09:39:20 +0000
committerDavid Baudens <baudens@mandriva.com>2002-08-02 09:39:20 +0000
commit1c4dbf5d73b2131245332e44b74c2449fc85a1a6 (patch)
treef2a815023e7cac2b94f8254566eed49e61375849 /scripts/make-boot-splash
parent8d9448c8352d8f843c2fc79a9545504fd4630d6e (diff)
downloadbootsplash-1c4dbf5d73b2131245332e44b74c2449fc85a1a6.tar
bootsplash-1c4dbf5d73b2131245332e44b74c2449fc85a1a6.tar.gz
bootsplash-1c4dbf5d73b2131245332e44b74c2449fc85a1a6.tar.bz2
bootsplash-1c4dbf5d73b2131245332e44b74c2449fc85a1a6.tar.xz
bootsplash-1c4dbf5d73b2131245332e44b74c2449fc85a1a6.zip
Sync CVS with sources available in Cooker
Diffstat (limited to 'scripts/make-boot-splash')
-rwxr-xr-xscripts/make-boot-splash24
1 files changed, 13 insertions, 11 deletions
diff --git a/scripts/make-boot-splash b/scripts/make-boot-splash
index f31047e..0690c41 100755
--- a/scripts/make-boot-splash
+++ b/scripts/make-boot-splash
@@ -43,11 +43,12 @@ fi
if [[ -n $image ]];then
if [[ -z $config ]];then
- echo "Can't find a config files for $resolution";
+ echo "Can't find a config files for resolution $resolution";
exit 1;
fi
else #no image
- echo "Can't find images for $resolution";
+ echo "Can't find images for resolution $resolution";
+ exit 1
fi
# From SuSe mk_initrd script
@@ -56,15 +57,16 @@ function out_byte()
let x=$1
echo -en "`printf \\\\%o $x`"
}
+
function write_int()
{
- let tmp1=($1 & 255)
- let tmp2=($1>>8)
- let tmp2=($tmp2&255)
- let tmp3=($1>>16)
- let tmp3=($tmp3&255)
- let tmp4=($1>>24)
- let tmp4=($tmp4&255)
+ let tmp1=$[$1 & 255]
+ let tmp2=$[$1>>8]
+ let tmp2=$[$tmp2&255]
+ let tmp3=$[$1>>16]
+ let tmp3=$[$tmp3&255]
+ let tmp4=$[$1>>24]
+ let tmp4=$[$tmp4&255]
out_byte $tmp1
out_byte $tmp2
out_byte $tmp3
@@ -72,8 +74,8 @@ function write_int()
}
function write_short()
{
- let tmp1=($1>>8)
- let tmp2=($1&0xff)
+ let tmp1=$[$1>>8]
+ let tmp2=$[$1&0xff]
out_byte $tmp2
out_byte $tmp1
}